Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk
Class OldCallCenterParamsConverter

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.OldCallCenterParamsConverter

    public class OldCallCenterParamsConverter

extends Object

Constructor Summary
`OldCallCenterParamsConverter(Node root, String baseURI)`

Method Summary
`Node` | `convertArray(Node input, String typeString)`
`Node` | `convertArray2D(Node input, String typeString)`
`Node` | `convertAWT(NodeList awtNodes, int numTypes, int numPeriods1)`
`Node` | `convertMPG(Node input, String outputName)`
`Node` | `convertPoissonGammaParams(Node poissonGammaParams)`
`Node` | `convertRVG(Node input, String outputName)`
`Node` | `convertScheduleShift(Node shift)`
`Node` | `convertSourceToggleTimes(String toggleTimes)`
`Node` | `convertTarget(NodeList targetNodes, int numTypes, int numPeriods1)`
`String` | `convertValue(String value, String typeString)`
`Node` | `getArray(SourceArray2D sourceArray, String nodeName, String typeString)`
`String` | `getPeriodDuration()`
`String` | `getStartingTime()`
`static String` | `getTextContent(Node node, boolean includeChildren)`
`static void` | `main(String[] args)`
`String` | `timeToDuration(String timeStr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OldCallCenterParamsConverter

    public OldCallCenterParamsConverter(Node root,
                                        String baseURI)

Method Detail

### getStartingTime

    public String getStartingTime()

### getPeriodDuration

    public String getPeriodDuration()

### timeToDuration

    public String timeToDuration(String timeStr)

### getTextContent

    public static String getTextContent(Node node,
                                        boolean includeChildren)

### convertValue

    public String convertValue(String value,
                               String typeString)

### getArray

    public Node getArray(SourceArray2D sourceArray,
                         String nodeName,
                         String typeString)

### convertArray

    public Node convertArray(Node input,
                             String typeString)

### convertArray2D

    public Node convertArray2D(Node input,
                               String typeString)

### convertRVG

    public Node convertRVG(Node input,
                           String outputName)

### convertMPG

    public Node convertMPG(Node input,
                           String outputName)

### convertAWT

    public Node convertAWT(NodeList awtNodes,
                           int numTypes,
                           int numPeriods1)

### convertTarget

    public Node convertTarget(NodeList targetNodes,
                              int numTypes,
                              int numPeriods1)

### convertSourceToggleTimes

    public Node convertSourceToggleTimes(String toggleTimes)

### convertScheduleShift

    public Node convertScheduleShift(Node shift)

### convertPoissonGammaParams

    public Node convertPoissonGammaParams(Node poissonGammaParams)

### main

    public static void main(String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.